v4
--

changes:

- add WLED status LED visible when inside enclosure
- change ESP32-WROOM to ESP32-MINI on front for automated assembly
- change buck voltage regulator to LMR16030, limiting to 3A output, since the board can't dissipate the heat generted by 5A buck (even in highest efficiency)
- now able to measure input voltage

v3
--

changes:

- more appropriate LED resistor values
- change LED meaning
- use only PDM mic
- replace ESP32-S2 with ESP32 for PDM support, and better WLED support
- make USB optional (only needed for debug)
- add one I/O to port (allowing 3-line protocols like SPI or I2S)
- change input capacitors (for manufacturability)

tests:

I tested the power supply to see if it capable of delivering 5A.
It was, but only for a couple of seconds.
It could provide 4A, but only for a 1-2 minutes.
Then the temperature protection would kick in.
There was no voltage drop, but stable 5V.
Putting a tiny aluminium heat sink would make it last a bit more.
What surprised me was that the SS510 diode D2 would get as warm as the TPS45460 voltage regulator, according to the infrared camera.
I changed the configuration for the TPS45460 to switch it from economic to efficient, hoping it would get less hot:

- inductor L1 from 6.8 uH to 2x6.8=13.6uH
- CLK resistor R18 from 200k to 470k to change switching frequency from 484 kHz to ~200 kHz
- AEC output capacitor was already large enough

It could now deliver 5A for one minute, before D2 SS510 died (short).
After changing the diode, it could deliver 4A for 5 minutes (without additional active/passive cooling), before the inductor desoldered from the board (the solder melted).
It could hold 3A for at least 30 minutes, stabilizing at around 140 degC.
There the IR camera confirmed that the diode was warmer than the regulator.
Conclusion: the regulator could be used with an average 3A output, with 4-5A peaks.
To continuously provide more than 3A I need to change the switching diode to a 50WQ10FN.
This has a much larger package (DPAK vs SMA) to better dissipate heat.
It has also a lower voltages drop (770mV vs 880mV), using less power.
But it is also much more expensive ($ 0.26 vs 0.05).
I would still strongly recommend to also put a heat sink on it, and if possible with forced air flow.
But this makes it more complicated to use, and not the intended usage of the board.
This also explains why commercial 60V to 5V 5A modules have such a large heat sink.
The board cannot be advertised as 5A capable anymore because it won't be able to hold it.
Because of that, I will downgrade it to 3A.
This way it can't damage itself.
I will probably change the TPS45460 to a LMR16030.
It has a 3A over-current protection, is simpler to use (fewer external components), and cheaper ($ 1.3 vs 0.7).
I will still use the lower frequency higher efficiency configuration.

v2
--

fixes:

- ESP antenna not surrounded by copper

changes:

- use larger barrier terminal for power ports to carry more current, clamp more wires, and allow wiring when the board is mounted in the enclosure
- remove 5V jack to save space, 5V power can be provided by USB port, and to avoid plugging 8-60V into 5V port (frying all the electronics)
- add board hole to fit in other enclosure version
- use ESP32-S2-MINI instead of WROOM to save space and avoid Not Recommended for New Design part
- use top spring terminal for LED data wires so they can be inserted when the board is mounted in the enclosure
- add status LED and change LED meanings
- complete re-layout, more compact
- add I²S and PDM MEMS microphone (I²S is present because I did not test PDM yet)

v1
--

fixes:

- both pins of the spring terminals are connected

changes:

- use screw terminal for power input/output to support more current
- add power input protection: PPTC and reverse polarity
- add switch configure DMX512 line termination (loop back to D2 so the XLR chain can continue, end using a termination resistor, or continue forwarding to other port
- change DC-DC buck converter to TPS54560 for large input voltage (e.g. 48V power supply and batteries)

issues: all the same as v0

v0
--

first prototype, with the bare features

issues:

- the case has actually other mounting holes
- WiFi does not work because of missing [copper clearance around the antenna](https://espressif.com/sites/default/files/documentation/esp32-s2_hardware_design_guidelines_en.pdf).
- KF141R footprint is not long enough (not really an issue)
- LED cables need to be stripped ~ 10 mm to fit it KF141R (minor inconvenience)
